Package com.xebialabs.deployit.plugin.api.udm

## Interface EmbeddedDeployedContainer<D extends ConfigurationItem,​C extends ConfigurationItem>

- Type Parameters:
    `D` - The type for the deployable CI.
    `C` - The type for the container CI.
  All Superinterfaces:
    `ConfigurationItem`, `java.io.Serializable`
  All Known Subinterfaces:
    `AppliedProvisioner<D>`, `Deployed<D,​C>`, `EmbeddedDeployed<D,​C>`, `Provisioned<D,​C>`
  All Known Implementing Classes:
    `BaseAppliedProvisioner`, `BaseAppliedProvisionerArtifact`, `BaseDeployed`, `BaseDeployedArtifact`, `BaseDeployedContainer`, `BaseDeployedInfrastructureAsCode`, `BaseEmbeddedDeployed`, `BaseProvisioned`, `BaseProvisionedContainer`, `EmbeddedDeployedArtifact`

      public interface EmbeddedDeployedContainer<D extends ConfigurationItem,​C extends ConfigurationItem>
      extends ConfigurationItem

  A super type for both `Deployed`s and `EmbeddedDeployed`s. Deployeds are configuration items (CIs) that represent `Deployable`s CIs in their deployed form.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `CONTAINER_FIELD` |
    `static java.lang.String` | `DEPLOYABLE_FIELD` |

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `C` | `getContainer()` |
    `D` | `getDeployable()` |
    `void` | `setContainer​(C container)` |
    `void` | `setDeployable​(D deployable)` |

    - ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `get$directoryReference, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$validationMessages, getId, getName, getProperty, getType, hasProperty, setId, setProperty`

- - ### Field Detail

    - #### DEPLOYABLE_FIELD

          static final java.lang.String DEPLOYABLE_FIELD

      See Also:
        Constant Field Values

    - #### CONTAINER_FIELD

          static final java.lang.String CONTAINER_FIELD

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDeployable

          D getDeployable()

      Returns:
        The associated `Deployable` CI.

    - #### setDeployable

          void setDeployable​(D deployable)

      Parameters:
        `deployable` - The associated `Deployable` CI.

    - #### getContainer

          C getContainer()

      Returns:
        The target `Container`.

    - #### setContainer

          void setContainer​(C container)

      Parameters:
        `container` - The target `Container`.